The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Rule Object Associations

Prev Next

This URL gets the associations of rule objects from all the modules where it is being used.

Resource URL

GET/ruleobject/<ruleobject_id>/assignments

Request Parameters

Field Name

Description

Data Type

Mandatory

ruleobject_id

Rule object id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

RuleObjectAssociationResponseList

List of rule object association

Array

Details of object in RuleObjectAssociationResponseList:

Field Name

Description

Data Type

usagePath

Rule object usage path

String

Example

Request

GET https://<NSM_IP>/sdkapi/ruleobject/121/assignments

Response

{
   "RuleObjectAssociationResponseList": [
      {
         "usagePath": "My Company/NAC Settings/Network Setup/Network Access Zones/Allow Public Networks and Private DNS/Rule 11/Destination"
      }, 
      {
         "usagePath": "My Company/NAC Settings/Network Setup/Network Access Zones/Allow Public Networks/Rule 01/Destination"
      }
   ]
}

Error Information

Following error code is returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1720

Invalid rule object Id/ rule object not visible to this domain